--- configure.orig	2023-10-31 02:42:54.000000000 +0800
+++ configure	2024-11-04 11:21:15.000000000 +0800
@@ -3815,7 +3815,6 @@
 DEFINES=" -DLTSSIM -DTTSSIM -DANSI -DBLD_DECTALK_DLL -D\$(LANGUAGE) -DDECTALK_INSTALL_PREFIX=\\\"\$(DECTALK_INSTALL_PREFIX)\\\" -DACCESS32 -DTYPING_MODE"
 case "$target" in
 	sparc-sun-*) DEFINES=" -DLTSSIM -D_SPARC_SOLARIS_ -D_BIGENDIAN_ -DTTSSIM -DANSI -DBLD_DECTALK_DLL -D\$(LANGUAGE) -DDECTALK_INSTALL_PREFIX=\\\"\$(DECTALK_INSTALL_PREFIX)\\\" -DACCESS32 -DTYPING_MODE" ;;
-	powerpc-apple-*) DEFINES=" -DLTSSIM -D_APPLE_MAC_ -D_BIGENDIAN_ -DTTSSIM -DANSI -DBLD_DECTALK_DLL -D\$(LANGUAGE) -DDECTALK_INSTALL_PREFIX=\\\"\$(DECTALK_INSTALL_PREFIX)\\\" -DACCESS32 -DTYPING_MODE -dynamic" ;;
 	arm-ipaq-linux-*) DEFINES=" -D_REENTRANT -D_GNU_SOURCE -DNOMME -D__ipaq__ -DLTSSIM -DTTSSIM -DANSI -DBLD_DECTALK_DLL -D\$(LANGUAGE) -DDECTALK_INSTALL_PREFIX=\\\"\$(DECTALK_INSTALL_PREFIX)\\\" -DACCESS32 -DTYPING_MODE" ;;
 	*-*-linux-*) DEFINES=" -D_REENTRANT -DNOMME -DLTSSIM -DTTSSIM -DANSI -DBLD_DECTALK_DLL -D\$(LANGUAGE) -DDECTALK_INSTALL_PREFIX=\\\"\$(DECTALK_INSTALL_PREFIX)\\\" -DACCESS32 -DTYPING_MODE" ;;
 	*-apple-darwin*) DEFINES=" -D_REENTRANT -DNOMME -DLTSSIM -DTTSSIM -DANSI -DBLD_DECTALK_DLL -D\$(LANGUAGE) -DDECTALK_INSTALL_PREFIX=\\\"\$(DECTALK_INSTALL_PREFIX)\\\" -DACCESS32 -DTYPING_MODE ${UNIVERSAL_BINARY}" ;;
@@ -3848,7 +3847,6 @@
 	*-*-linux-*) DEBUG_FLAGS=" -g" ;;
 	*-apple-darwin*) DEBUG_FLAGS=" -g" ;;
 	sparc-sun-*) DEBUG_FLAGS=" -g" ;;
-	powerpc-apple-*) DEBUG_FLAGS=" -g" ;;
 esac
 
 OPTO_FLAGS=" -O2"
@@ -3871,18 +3869,16 @@
 WARN_FLAGS=" -threads -w1"
 case "$target" in
 	*-*-linux-*) WARN_FLAGS=" -Wall -Wno-missing-braces -Wno-pointer-sign -Wno-unused-variable -Wno-unused-but-set-variable -Wno-unused-function" ;;
-	*-apple-darwin*) WARN_FLAGS=" -Wall -Wno-missing-braces -Wno-pointer-sign -Wno-unused-variable -Wno-unused-but-set-variable -Wno-unused-function" ;;
-	powerpc-apple-*) WARN_FLAGS=" -Wall" ;;
+	*-apple-darwin*) WARN_FLAGS=" -Wall -Wno-missing-braces -Wno-pointer-sign -Wno-unused-variable -Wno-unused-function -Wno-error=incompatible-pointer-types" ;;
 	sparc-sun-*) WARN_FLAGS=" " ;;
 esac
 
 PH_VTM_OPTO_FLAGS=" -O2"
 case "$target" in
 	sparc-sun-*) PH_VTM_OPTO_FLAGS="-O2" ;;
-	powerpc-apple-*) PH_VTM_OPTO_FLAGS="-O2" ;;
 esac
 
-DIC_CC="gcc"
+DIC_CC="$CC"
 case "$target" in
 	sparc-sun-*) DIC_CC="gcc" ;;
 	alpha-dec-osf*) DIC_CC="cc" ;;
@@ -3900,7 +3896,6 @@
 AR="ar cqls"
 case "$target" in
 	arm-ipaq-linux-*) AR="/skiff/local/bin/arm-linux-ar cqls" ;;
-	powerpc-apple-*) AR="ar ruvs" ;;
 esac
 
 STD_INCLUDE="${BUILD_DIR}/dectalk/\$(OS_VERSION)/\$(LANG_CODE)/release/include"
@@ -3913,7 +3908,6 @@
 LINUX_AUDIO=""
 case "$target" in
 	sparc-sun-*) LINUX_AUDIO="\$(OUTPUT_DIR)/linux_audio.o" ;;
-	powerpc-apple-*) LINUX_AUDIO="\$(OUTPUT_DIR)/linux_audio.o" ;;
 	*-*-linux-*) LINUX_AUDIO="\$(OUTPUT_DIR)/linux_audio.o" ;;
 	*-apple-darwin*) LINUX_AUDIO="\$(OUTPUT_DIR)/linux_audio.o" ;;
 esac
@@ -3921,7 +3915,6 @@
 LINK_LINUX_AUDIO=""
 case "$target" in
 	alpha-*-linux-*) LINK_LINUX_AUDIO="" ;;
-	powerpc-apple-*) LINK_LINUX_AUDIO="" ;;
 	sparc-sun-*) LINK_LINUX_AUDIO="\$(OUTPUT_DIR_2)/linux_audio.o" ;;
 	*-*-linux-*) LINK_LINUX_AUDIO="\$(OUTPUT_DIR_2)/linux_audio.o" ;;
 	*-apple-darwin*) LINK_LINUX_AUDIO="\$(OUTPUT_DIR_2)/linux_audio.o" ;;
@@ -3930,7 +3923,6 @@
 LINK_PORT_AUDIO=""
 case "$target" in
 	alpha-*-linux-*) LINK_PORT_AUDIO="" ;;
-	powerpc-apple-*) LINK_PORT_AUDIO="portaudio/lib/libportaudio.a" ;;
 	sparc-sun-*) LINK_PORT_AUDIO="" ;;
 	*-*-linux-*) LINK_PORT_AUDIO="" ;;
 	*-apple-darwin*) LINK_PORT_AUDIO="" ;;
@@ -3944,10 +3936,6 @@
 			\$(OUTPUT_DIR)/decstd97.o \$(OUTPUT_DIR)/ttsapi_demo.o\
 			\$(OUTPUT_DIR)/init.o \$(OUTPUT_DIR)/crypt2.o \
 			\$(OUTPUT_DIR)/init_demo.o " ;;
-	powerpc-apple-*)API_OBJ_IN="\$(OUTPUT_DIR)/ttsapi_mme.o \
-			\$(OUTPUT_DIR)/decstd97.o \$(OUTPUT_DIR)/ttsapi_demo.o\
-			\$(OUTPUT_DIR)/init.o \$(OUTPUT_DIR)/crypt2.o \
-			\$(OUTPUT_DIR)/init_demo.o " ;;
 	*-*-linux-*)API_OBJ_IN="\$(OUTPUT_DIR)/ttsapi_mme.o \
 			\$(OUTPUT_DIR)/decstd97.o \$(OUTPUT_DIR)/ttsapi_demo.o\
 			\$(OUTPUT_DIR)/init.o \$(OUTPUT_DIR)/crypt2.o \
@@ -3967,10 +3955,6 @@
 	      \$(LTS_OBJ) \$(PH_OBJ) \$(HL_OBJ) \$(KERNEL_OBJ) \$(NT_OBJ) \
               \$(NT_MME_OBJ) \$(OSF_OBJ) \$(OSF_TTS_OBJ) \$(VTM_OBJ) \
               \$(LTS_NORM_OBJS) \$(LTS_DEMO_OBJS)" ;;
-	powerpc-apple-*)ALL_LIB_OBJS="\$(API_ALL_OBJ) \$(API_MME_OBJ) \$(CMD_OBJ) \
-	      \$(LTS_OBJ) \$(PH_OBJ) \$(HL_OBJ) \$(KERNEL_OBJ) \$(NT_OBJ) \
-              \$(NT_MME_OBJ) \$(OSF_OBJ) \$(OSF_TTS_OBJ) \$(VTM_OBJ) \
-              \$(LTS_NORM_OBJS) \$(LTS_DEMO_OBJS)" ;;
 	*-*-linux-*)ALL_LIB_OBJS="\$(API_ALL_OBJ) \$(API_MME_OBJ) \$(CMD_OBJ) \
 	      \$(LTS_OBJ) \$(PH_OBJ) \$(HL_OBJ) \$(KERNEL_OBJ) \$(NT_OBJ) \
               \$(NT_MME_OBJ) \$(OSF_OBJ) \$(OSF_TTS_OBJ) \$(VTM_OBJ) \
@@ -4003,9 +3987,6 @@
 	sparc-sun-*) DECTALK_TTS_OBJS="\$(API_ALL_OBJ) \$(API_MME_OBJ) \
 	\$(CMD_OBJ) \$(LTS_OBJ) \$(LTS_NORM_OBJS) \$(PH_OBJ) \$(HL_OBJ) \$(KERNEL_OBJ) \
 	\$(NT_OBJ) \$(NT_MME_OBJ) \$(OSF_OBJ) \$(VTM_OBJ)" ;;
-	powerpc-apple-*) DECTALK_TTS_OBJS="\$(API_ALL_OBJ) \$(API_MME_OBJ) \
-	\$(CMD_OBJ) \$(LTS_OBJ) \$(LTS_NORM_OBJS) \$(PH_OBJ) \$(HL_OBJ) \$(KERNEL_OBJ) \
-	\$(NT_OBJ) \$(NT_MME_OBJ) \$(OSF_OBJ) \$(VTM_OBJ)" ;;
 	*-apple-darwin*) DECTALK_TTS_OBJS="\$(API_ALL_OBJ) \$(API_MME_OBJ) \
 	\$(CMD_OBJ) \$(LTS_OBJ) \$(LTS_NORM_OBJS) \$(PH_OBJ) \$(HL_OBJ) \$(KERNEL_OBJ) \
 	\$(NT_OBJ) \$(NT_MME_OBJ) \$(OSF_OBJ) \$(VTM_OBJ)" ;;
@@ -4015,9 +3996,6 @@
 	\$(CMD_OBJ) \$(LTS_OBJ) \$(LTS_DEMO_OBJS) \$(PH_OBJ) \$(HL_OBJ) \$(KERNEL_OBJ) \
 	\$(NT_OBJ) \$(NT_MME_OBJ) \$(OSF_OBJ) \$(VTM_OBJ)"
 case "$target" in
-	powerpc-apple-*) DECTALK_DEMO_OBJS="\$(API_ALL_OBJ) \$(API_DEMO_OBJ) \
-	\$(CMD_OBJ) \$(LTS_OBJ) \$(LTS_DEMO_OBJS) \$(PH_OBJ) \$(HL_OBJ) \$(KERNEL_OBJ) \
-	\$(NT_OBJ) \$(OSF_OBJ) \$(NT_MME_OBJ) \$(VTM_OBJ)" ;;
 	sparc-sun-*) DECTALK_DEMO_OBJS="\$(API_ALL_OBJ) \$(API_DEMO_OBJ) \
 	\$(CMD_OBJ) \$(LTS_OBJ) \$(LTS_DEMO_OBJS) \$(PH_OBJ) \$(HL_OBJ) \$(KERNEL_OBJ) \
 	\$(NT_OBJ) \$(OSF_OBJ) \$(NT_MME_OBJ) \$(VTM_OBJ)" ;;
@@ -4034,7 +4012,6 @@
 case "$target" in
 	*-*-linux-*) MMELIBS=" -lpthread -lm" ;;
 	*-apple-darwin*) MMELIBS=" -lpthread -lm" ;;
-	powerpc-apple-*) MMELIBS=" -lpthread" ;;
 	sparc-sun-*) MMELIBS=" " ;;
 esac
 
@@ -4042,7 +4019,6 @@
 case "$target" in
 	arm-ipaq-linux-*) LIBS=" -lpthread -L/skiff/local/lib/gcc-lib/arm-linux/2.95.2/ -lgcc" ;;
 	*-*-linux-*) LIBS=" -lpthread -lm" ;;
-	powerpc-apple-*) LIBS=" -lpthread -L../../../dapi/src/portaudio/lib -lportaudio -framework CoreAudio -framework AudioToolbox" ;;
 	sparc-sun-*) LIBS=" " ;;
 	*-apple-darwin*) LIBS=" -lpthread -lm" ;;
 esac
@@ -4051,7 +4027,6 @@
 case "$target" in
 	arm-ipaq-linux-*) DT_SO_LIBS=" \$(OUTPUT_DIR)/libtts_\$(LANG_CODE).a -lpthread -lc -L/skiff/local/lib/gcc-lib/arm-linux/2.95.2/ -lgcc -lfloat -lm" ;;
 	*-*-linux-*) DT_SO_LIBS=" -lpthread -lc" ;;
-	powerpc-apple-*) DT_SO_LIBS="-lpthread -Lportaudio/lib -lportaudio -framework CoreAudio -framework AudioToolbox" ;;
 	sparc-sun-*) DT_SO_LIBS=" \$(OUTPUT_DIR)/libtts_\$(LANG_CODE).a -lpthread -lc -lrt -lm" ;;
 	*-apple-darwin*) DT_SO_LIBS=" -lpthread -lc" ;;
 esac
@@ -4060,7 +4035,6 @@
 case "$target" in
 	*-*-linux-*) SO_LOCATIONS="" ;;
 	sparc-sun-*) SO_LOCATIONS="" ;;
-	powerpc-apple-*) SO_LOCATIONS="" ;;
 	*-apple-darwin*) SO_LOCATIONS="" ;;
 esac
 
@@ -4070,8 +4044,6 @@
 case "$target" in
 	*-*-linux-*) DAPI_LD_SHARED="\$(CC) -shared -Wl,-Bsymbolic \
 		-Wl,-soname,libtts_\$(LANG_CODE).so -o \$@ \$(DECTALK_TTS_OBJS) \$(LIBS) -lm" ;;
-	powerpc-apple-*) DAPI_LD_SHARED="\$(CC) -dynamic -dynamiclib -dylib \
-		-o \$@ \$(DECTALK_TTS_OBJS) \$(LIBS)" ;;
 	sparc-sun-*) DAPI_LD_SHARED="\$(LD) -G -Bsymbolic \
 		-o \$@ \$(DECTALK_TTS_OBJS) \$(LIBS)" ;;
 	*-apple-darwin*) DAPI_LD_SHARED="\$(CC) -dynamic -dynamiclib -dylib \
@@ -4101,11 +4073,7 @@
 		-soname libtts.so -o \$@ ../build/\$(OS_VERSION)/\$(LANG_CODE)/\$(ML_OUT)/link/dtalk_ml.o \
 		../build/\$(OS_VERSION)/\$(LANG_CODE)/\$(ML_OUT)/link/init.o \
 		../build/\$(OS_VERSION)/\$(LANG_CODE)/\$(ML_OUT)/libtts.a -lc -lots -lpthreads" ;;
-	powerpc-apple-*) ML_TTS_SO="\$(CC) -dynamic -dynamiclib -dylib \
-	-o \$@ ../build/\$(OS_VERSION)/\$(LANG_CODE)/\$(ML_OUT)/link/dtalk_ml.o \
-	../build/\$(OS_VERSION)/\$(LANG_CODE)/\$(ML_OUT)/link/init.o \
-	../build/\$(OS_VERSION)/\$(LANG_CODE)/\$(ML_OUT)/libtts.a  -ldl -lpthread -lc" ;;
-        *-apple-darwin*) ML_TTS_SO="\$(CC) -dynamic -dynamiclib -dylib \
+    *-apple-darwin*) ML_TTS_SO="\$(CC) -dynamic -dynamiclib -dylib \
 	-o \$@ ../build/\$(OS_VERSION)/\$(LANG_CODE)/\$(ML_OUT)/link/dtalk_ml.o \
 	../build/\$(OS_VERSION)/\$(LANG_CODE)/\$(ML_OUT)/link/init.o \
 	../build/\$(OS_VERSION)/\$(LANG_CODE)/\$(ML_OUT)/libtts.a  -ldl -lpthread -lc \
@@ -4155,7 +4123,6 @@
 case "$target" in
 	alpha-dec-osf*) SPEAK_ALL="\$(OUTPUT_DIR)/speak \$(OUTPUT_DIR)/speak.uid" ;;
 	sparc-sun-*) SPEAK_ALL="" ;;
-	powerpc-apple-*) SPEAK_ALL="" ;;
 	*-*-linux-*) SPEAK_ALL="" ;;
 	*-apple-darwin*) SPEAK_ALL="" ;;
 esac
@@ -4372,7 +4339,6 @@
 case "$target" in
 	alpha-dec-osf*) WINDICT_ALL="\$(OUTPUT_DIR)/windict \$(OUTPUT_DIR)/windict.uid" ;;
 	sparc-sun-*) WINDICT_ALL="" ;;
-	powerpc-apple-*) WINDICT_ALL="" ;;
 	*-*-linux-*) WINDICT_ALL="" ;;
 	*-apple-darwin*) WINDICT_ALL="" ;;
 esac
@@ -4389,9 +4355,6 @@
 	sparc-sun-*) DTSAMPLE_ALL="\$(OUTPUT_DIR)/say \$(OUTPUT_DIR)/dtmemory \
 	\$(OUTPUT_DIR)/say_demo_\$(LANG_CODE) \
 	\$(OUTPUT_DIR)/dtmemory_demo_\$(LANG_CODE) \$(OUTPUT_DIR)/aclock" ;;
-	powerpc-apple-*) DTSAMPLE_ALL="\$(OUTPUT_DIR)/say \$(OUTPUT_DIR)/dtmemory \
-	\$(OUTPUT_DIR)/say_demo_\$(LANG_CODE) \
-	\$(OUTPUT_DIR)/dtmemory_demo_\$(LANG_CODE) \$(OUTPUT_DIR)/aclock" ;;
 	*-apple-darwin*) DTSAMPLE_ALL="\$(OUTPUT_DIR)/say \$(OUTPUT_DIR)/dtmemory \
 	\$(OUTPUT_DIR)/say_demo_\$(LANG_CODE) \
 	\$(OUTPUT_DIR)/dtmemory_demo_\$(LANG_CODE) \$(OUTPUT_DIR)/aclock \$(OUTPUT_DIR)/tunecheck \$(OUTPUT_DIR)/dump_vdf \$(OUTPUT_DIR)/mfg_load" ;;
@@ -4402,7 +4365,6 @@
 	arm-ipaq-linux-*) SAMPLE_LINKFLAGS=" -ldl -lm" ;;
 	sparc-sun-*) SAMPLE_LINKFLAGS=" -lm " ;;
 	*-*-linux-*) SAMPLE_LINKFLAGS=" -ldl " ;;
-	powerpc-apple-*) SAMPLE_LINKFLAGS=" -ldl " ;;
 	*-apple-darwin*) SAMPLE_LINKFLAGS=" -ldl " ;;
 esac
 SAMPLE_LINKFLAGS=" -ldl -L${BUILD_DIR}/dectalk/\$(OS_VERSION)/\$(LANG_CODE)/release -L${BUILD_DIR}/../../dtalkml/build/\$(OS_VERSION)/\$(LANG_CODE)/release -Wl,--rpath,\\\$\$ORIGIN/lib/ -Wl,--rpath,\\\$\$ORIGIN/../lib/"
@@ -4414,7 +4376,6 @@
 case "$target" in
 	*-*-linux-*) SAMPLE_DTLIB=" -ltts" ;;
 	sparc-sun-*) SAMPLE_DTLIB=" -ltts" ;;
-	powerpc-apple-*) SAMPLE_DTLIB=" -ltts" ;;
 	*-apple-darwin*) SAMPLE_DTLIB=" -ltts" ;;
 esac
 
